NPP Credit Rejections
POST
https://api.mpay.com.au/NPPCREDITREJECTIONSEVENTWEBHOOK_TARGET_URL
Header Parameters
- AuthorisationstringExampleDescriptionDefault******Pattern^[\x20-\x7E]{1,512}$
- Verification-SignaturestringExampleDescriptionDefaulte+AFAj2W69rAwbsGn+rSSnFm2ISEblo0MXnx9Qtoh2k5mst1cEEpcrVSzGLjzOPlEL2Ea/iYLbFGzDdxVRTcNLINOhsXM/smimNjBt8sq30FbvSNMjlfDnrZ6FOIkl3E3cu9B+M4OVL8HafPohb67IRNDNyCnCvBM10qHrioiak=Pattern^[A-Za-z0-9+/]+={0,2}$
- Webhookidinteger<int64>ExampleDescriptionDefault1234567Formatint64
Body Parameters
- bodyrejectedTransactionClass[]requiredExample
[ { "id": 884231707, "batchId": 20260910, "dateTime": "2026-09-10T14:32:11", "transactionType": "NPP", "transactionCode": "50", "status": "Rejected", "reason": "No matching reconciliation rule", "amount": 150.75, "bsb": "802-985", "accountNumber": "300000123", "accountName": "Acme Pty Ltd", "payId": "[email protected]", "payIdName": "ACME PAYMENTS", "lodgementRef": "ACME INV 10023", "endToEndId": "E2E-2026-0000123", "remitterName": "J SMITH", "sourceBsb": "062-000", "sourceAccountNumber": "12345678", "sourceAccountName": "JOHN A SMITH", "indicator": "W", "withholdingTaxAmount": 15.25, "nameOfUserSupplyingFile": "ACME PTY LTD", "numberOfUserSupplyingFile": "123456", "descriptionOfEntriesOnFile": "PAYROLL", "ledgerAccountNumber": "4210000012345678", "ledgerUniqueReference": "ACME-LEDGER-0007" } ]Description- idinteger<int32>ExampleDescriptionDefault884231707Formatint32
- batchIdinteger<int32>ExampleDescriptionDefault20260910Formatint32
- dateTimestringExampleDescriptionDefault2026-09-10T14:32:11Pattern^\d{4}-\d{2}-\d{2}([T ]\d{2}:\d{2}:\d{2}(\.\d{1,7})?)?$
- transactionTypestring<DE | NPP>ExampleDescriptionDefaultNPPAllowedDENPPPattern^(DE|NPP)$
- transactionCodestringExampleDescriptionDefault50Pattern^\d{2}$
- statusstringExampleDescriptionDefaultRejectedPattern^[A-Za-z ]{1,40}$
- reasonstringExampleDescriptionDefaultNo matching reconciliation rulePattern^.{1,280}$
- amountnumber<double>ExampleDescriptionDefault150.75Formatdouble
- bsbstringExampleDescriptionDefault802-985Pattern^\d{3}-?\d{3}$
- accountNumberstringExampleDescriptionDefault300000123Pattern^\d{5,10}$
- accountNamestringExampleDescriptionDefaultAcme Pty LtdPattern^.{0,140}$
- payIdstringExampleDescriptionDefaultPattern^.{1,256}$
- payIdNamestringExampleDescriptionDefaultACME PAYMENTSPattern^.{0,140}$
- lodgementRefstringExampleDescriptionDefaultACME INV 10023Pattern^.{0,18}$
- endToEndIdstringExampleDescriptionDefaultE2E-2026-0000123Pattern^[A-Za-z0-9\/+?:().,'\s-]{0,35}$
- remitterNamestringExampleDescriptionDefaultJ SMITHPattern^.{0,140}$
- sourceBsbstringExampleDescriptionDefault062-000Pattern^\d{3}-?\d{3}$
- sourceAccountNumberstringExampleDescriptionDefault12345678Pattern^\d{5,10}$
- sourceAccountNamestringExampleDescriptionDefaultJOHN A SMITHPattern^.{0,140}$
- indicatorstring< | W | X | Y>ExampleDescriptionDefaultWAllowedWXYPattern^[WXY]?$
- withholdingTaxAmountnumber<double>ExampleDescriptionDefault15.25Formatdouble
- nameOfUserSupplyingFilestringExampleDescriptionDefaultACME PTY LTDPattern^.{0,140}$
- numberOfUserSupplyingFilestringExampleDescriptionDefault123456Pattern^\d{0,6}$
- descriptionOfEntriesOnFilestringExampleDescriptionDefaultPAYROLLPattern^.{0,12}$
- ledgerAccountNumberstringExampleDescriptionDefault4210000012345678Pattern^\d{16}$
- ledgerUniqueReferencestringExampleDescriptionDefaultACME-LEDGER-0007Pattern^.{1,64}$
Responses
200
- WebhookAcknowledgementExample
{ "status": "Received", "webhookId": 1234567, "receivedAt": "2026-09-10T14:32:12" }Description- statusstring<Received>ExampleDescriptionDefaultReceivedAllowedReceivedPattern^Received$
- webhookIdinteger<int64>ExampleDescriptionDefault1234567Formatint64
- receivedAtstringExampleDescriptionDefault2026-09-10T14:32:12Pattern^\d{4}-\d{2}-\d{2}([T ]\d{2}:\d{2}:\d{2}(\.\d{1,7})?)?$
400
- WebhookErrorResponseExample
{ "status": "Rejected", "errorCode": "INVALID_PAYLOAD", "errorMessage": "Field 'Amount' is not a valid decimal value.", "webhookId": 1234567, "receivedAt": "2026-09-10T14:32:12" }Description- statusstring<Rejected | Unauthorised | Error>ExampleDescriptionDefaultRejectedAllowedRejectedUnauthorisedErrorPattern^(Rejected|Unauthorised|Error)$
- errorCodestringExampleDescriptionDefaultINVALID_PAYLOADPattern^[A-Z][A-Z0-9_]{2,49}$
- errorMessagestringExampleDescriptionDefaultField 'Amount' is not a valid decimal value.Pattern^.{1,500}$
- webhookIdinteger<int64>ExampleDescriptionDefault1234567Formatint64
- receivedAtstringExampleDescriptionDefault2026-09-10T14:32:12Pattern^\d{4}-\d{2}-\d{2}([T ]\d{2}:\d{2}:\d{2}(\.\d{1,7})?)?$
401
- WebhookErrorResponseExample
{ "status": "Unauthorised", "errorCode": "SIGNATURE_VERIFICATION_FAILED", "errorMessage": "Verification-Signature did not match the Monoova public key.", "webhookId": 1234567, "receivedAt": "2026-09-10T14:32:12" }Description- statusstring<Rejected | Unauthorised | Error>ExampleDescriptionDefaultRejectedAllowedRejectedUnauthorisedErrorPattern^(Rejected|Unauthorised|Error)$
- errorCodestringExampleDescriptionDefaultINVALID_PAYLOADPattern^[A-Z][A-Z0-9_]{2,49}$
- errorMessagestringExampleDescriptionDefaultField 'Amount' is not a valid decimal value.Pattern^.{1,500}$
- webhookIdinteger<int64>ExampleDescriptionDefault1234567Formatint64
- receivedAtstringExampleDescriptionDefault2026-09-10T14:32:12Pattern^\d{4}-\d{2}-\d{2}([T ]\d{2}:\d{2}:\d{2}(\.\d{1,7})?)?$
500
- WebhookErrorResponseExample
{ "status": "Error", "errorCode": "DOWNSTREAM_UNAVAILABLE", "errorMessage": "Ledger service unavailable; retry delivery.", "webhookId": 1234567, "receivedAt": "2026-09-10T14:32:12" }Description- statusstring<Rejected | Unauthorised | Error>ExampleDescriptionDefaultRejectedAllowedRejectedUnauthorisedErrorPattern^(Rejected|Unauthorised|Error)$
- errorCodestringExampleDescriptionDefaultINVALID_PAYLOADPattern^[A-Z][A-Z0-9_]{2,49}$
- errorMessagestringExampleDescriptionDefaultField 'Amount' is not a valid decimal value.Pattern^.{1,500}$
- webhookIdinteger<int64>ExampleDescriptionDefault1234567Formatint64
- receivedAtstringExampleDescriptionDefault2026-09-10T14:32:12Pattern^\d{4}-\d{2}-\d{2}([T ]\d{2}:\d{2}:\d{2}(\.\d{1,7})?)?$
curl
curl --request POST \
--url https://api.mpay.com.au/NPPCREDITREJECTIONSEVENTWEBHOOK_TARGET_URL \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'authorisation: ******' \
--header 'verification-signature: e+AFAj2W69rAwbsGn+rSSnFm2ISEblo0MXnx9Qtoh2k5mst1cEEpcrVSzGLjzOPlEL2Ea/iYLbFGzDdxVRTcNLINOhsXM/smimNjBt8sq30FbvSNMjlfDnrZ6FOIkl3E3cu9B+M4OVL8HafPohb67IRNDNyCnCvBM10qHrioiak=' \
--header 'webhookid: 1234567' \
--data-raw '[
{
"id": 884231707,
"batchId": 20260910,
"dateTime": "2026-09-10T14:32:11",
"transactionType": "NPP",
"transactionCode": "50",
"status": "Rejected",
"reason": "No matching reconciliation rule",
"amount": 150.75,
"bsb": "802-985",
"accountNumber": "300000123",
"accountName": "Acme Pty Ltd",
"payId": "[email protected]",
"payIdName": "ACME PAYMENTS",
"lodgementRef": "ACME INV 10023",
"endToEndId": "E2E-2026-0000123",
"remitterName": "J SMITH",
"sourceBsb": "062-000",
"sourceAccountNumber": "12345678",
"sourceAccountName": "JOHN A SMITH",
"indicator": "W",
"withholdingTaxAmount": 15.25,
"nameOfUserSupplyingFile": "ACME PTY LTD",
"numberOfUserSupplyingFile": "123456",
"descriptionOfEntriesOnFile": "PAYROLL",
"ledgerAccountNumber": "4210000012345678",
"ledgerUniqueReference": "ACME-LEDGER-0007"
}
]'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("authorisation", "******");
myHeaders.append("verification-signature", "e+AFAj2W69rAwbsGn+rSSnFm2ISEblo0MXnx9Qtoh2k5mst1cEEpcrVSzGLjzOPlEL2Ea/iYLbFGzDdxVRTcNLINOhsXM/smimNjBt8sq30FbvSNMjlfDnrZ6FOIkl3E3cu9B+M4OVL8HafPohb67IRNDNyCnCvBM10qHrioiak=");
myHeaders.append("webhookid", "1234567");
var raw = JSON.stringify([
{
"id": 884231707,
"batchId": 20260910,
"dateTime": "2026-09-10T14:32:11",
"transactionType": "NPP",
"transactionCode": "50",
"status": "Rejected",
"reason": "No matching reconciliation rule",
"amount": 150.75,
"bsb": "802-985",
"accountNumber": "300000123",
"accountName": "Acme Pty Ltd",
"payId": "[email protected]",
"payIdName": "ACME PAYMENTS",
"lodgementRef": "ACME INV 10023",
"endToEndId": "E2E-2026-0000123",
"remitterName": "J SMITH",
"sourceBsb": "062-000",
"sourceAccountNumber": "12345678",
"sourceAccountName": "JOHN A SMITH",
"indicator": "W",
"withholdingTaxAmount": 15.25,
"nameOfUserSupplyingFile": "ACME PTY LTD",
"numberOfUserSupplyingFile": "123456",
"descriptionOfEntriesOnFile": "PAYROLL",
"ledgerAccountNumber": "4210000012345678",
"ledgerUniqueReference": "ACME-LEDGER-0007"
}
]);
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.mpay.com.au/NPPCREDITREJECTIONSEVENTWEBHOOK_TARGET_URL", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.mpay.com.au/NPPCREDITREJECTIONSEVENTWEBHOOK_TARGET_URL")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["authorisation"] = "******"
request["verification-signature"] = "e+AFAj2W69rAwbsGn+rSSnFm2ISEblo0MXnx9Qtoh2k5mst1cEEpcrVSzGLjzOPlEL2Ea/iYLbFGzDdxVRTcNLINOhsXM/smimNjBt8sq30FbvSNMjlfDnrZ6FOIkl3E3cu9B+M4OVL8HafPohb67IRNDNyCnCvBM10qHrioiak="
request["webhookid"] = "1234567"
request.body = JSON.dump([
{
"id": 884231707,
"batchId": 20260910,
"dateTime": "2026-09-10T14:32:11",
"transactionType": "NPP",
"transactionCode": "50",
"status": "Rejected",
"reason": "No matching reconciliation rule",
"amount": 150.75,
"bsb": "802-985",
"accountNumber": "300000123",
"accountName": "Acme Pty Ltd",
"payId": "[email protected]",
"payIdName": "ACME PAYMENTS",
"lodgementRef": "ACME INV 10023",
"endToEndId": "E2E-2026-0000123",
"remitterName": "J SMITH",
"sourceBsb": "062-000",
"sourceAccountNumber": "12345678",
"sourceAccountName": "JOHN A SMITH",
"indicator": "W",
"withholdingTaxAmount": 15.25,
"nameOfUserSupplyingFile": "ACME PTY LTD",
"numberOfUserSupplyingFile": "123456",
"descriptionOfEntriesOnFile": "PAYROLL",
"ledgerAccountNumber": "4210000012345678",
"ledgerUniqueReference": "ACME-LEDGER-0007"
}
])
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.mpay.com.au/NPPCREDITREJECTIONSEVENTWEBHOOK_TARGET_URL"
payload = json.dumps([
{
"id": 884231707,
"batchId": 20260910,
"dateTime": "2026-09-10T14:32:11",
"transactionType": "NPP",
"transactionCode": "50",
"status": "Rejected",
"reason": "No matching reconciliation rule",
"amount": 150.75,
"bsb": "802-985",
"accountNumber": "300000123",
"accountName": "Acme Pty Ltd",
"payId": "[email protected]",
"payIdName": "ACME PAYMENTS",
"lodgementRef": "ACME INV 10023",
"endToEndId": "E2E-2026-0000123",
"remitterName": "J SMITH",
"sourceBsb": "062-000",
"sourceAccountNumber": "12345678",
"sourceAccountName": "JOHN A SMITH",
"indicator": "W",
"withholdingTaxAmount": 15.25,
"nameOfUserSupplyingFile": "ACME PTY LTD",
"numberOfUserSupplyingFile": "123456",
"descriptionOfEntriesOnFile": "PAYROLL",
"ledgerAccountNumber": "4210000012345678",
"ledgerUniqueReference": "ACME-LEDGER-0007"
}
])
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'authorisation': '******',
'verification-signature': 'e+AFAj2W69rAwbsGn+rSSnFm2ISEblo0MXnx9Qtoh2k5mst1cEEpcrVSzGLjzOPlEL2Ea/iYLbFGzDdxVRTcNLINOhsXM/smimNjBt8sq30FbvSNMjlfDnrZ6FOIkl3E3cu9B+M4OVL8HafPohb67IRNDNyCnCvBM10qHrioiak=',
'webhookid': '1234567'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Success. The notification passed validation and your endpoint has accepted responsibility for it. Return this as soon as the payload is persisted — do not wait for downstream processing. Monoova treats any 2xx as a successful delivery and will not retry.
{
"status": "Received",
"webhookId": 1234567,
"receivedAt": "2026-09-10T14:32:12"
}400
// Bad Request. The notification could not be parsed, or a field failed your validation. Monoova will not retry a notification that is rejected with a 400, so return it only for a genuinely malformed payload — never for a transient fault on your side.
{
"status": "Rejected",
"errorCode": "INVALID_PAYLOAD",
"errorMessage": "Field 'Amount' is not a valid decimal value.",
"webhookId": 1234567,
"receivedAt": "2026-09-10T14:32:12"
}401
// Unauthorised. The Authorisation header was missing or did not match the value registered on the subscription, or the Verification-Signature header failed SHA256 verification against the Monoova public key. Return this without processing the payload.
{
"status": "Rejected",
"errorCode": "INVALID_PAYLOAD",
"errorMessage": "Field 'Amount' is not a valid decimal value.",
"webhookId": 1234567,
"receivedAt": "2026-09-10T14:32:12"
}500
// Internal Server Error. Your endpoint accepted the notification but could not process it because of a fault on your side. Monoova retries a notification that fails with a 5xx, so return this — rather than a 400 — whenever the failure is transient and a redelivery could succeed.
{
"status": "Rejected",
"errorCode": "INVALID_PAYLOAD",
"errorMessage": "Field 'Amount' is not a valid decimal value.",
"webhookId": 1234567,
"receivedAt": "2026-09-10T14:32:12"
}